Bug 142451 - /etc/init.d/pcmcia always exits with status 0
/etc/init.d/pcmcia always exits with status 0
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
: EasyFix
Depends On:
Blocks: 142453 181855
  Show dependency treegraph
 
Reported: 2004-12-09 15:12 EST by Ville Skyttä
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 12:33:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2004-12-09 15:12:58 EST
/etc/init.d/pcmcia always exits with zero exit status.

The bug is in the last line of that file; either "*rc.pcmcia" should be replaced
with "*pcmcia", or the whole line just replaced with "exit $EXITCODE".
Comment 1 Pete Zaitcev 2005-02-13 21:40:53 EST
Modified in 3.2.8-4.8 (head branch)
Comment 6 Jay Turner 2005-04-16 06:40:22 EDT
Doesn't look like the new pcmcia-cs version ever make it into the corresponding
errata, nor got moved into 4E-U1, so going to push this off until U2.
Comment 7 Ville Skyttä 2005-04-16 07:03:43 EDT
While the faulty last line of the script was already fixed in Rawhide, both the
start and stop actions still hardcode "EXITCODE=0" which isn't very useful.
Comment 8 Matthew Miller 2006-07-10 19:33:31 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 9 Bill Nottingham 2006-07-11 12:33:15 EDT
pcmcia-cs is no longer shipped, hence, closing.

Note You need to log in before you can comment on or make changes to this bug.